Page MenuHomeFreeBSD

Several style changes and add copyrights for 2016.
ClosedPublic

Authored by slm on Apr 25 2016, 10:55 PM.

Details

Summary

Several style changes and add copyrights for 2016.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

slm updated this revision to Diff 15607.Apr 25 2016, 10:55 PM
slm retitled this revision from to Several style changes and add copyrights for 2016..
slm updated this object.
slm edited the test plan for this revision. (Show Details)
slm added reviewers: ken, scottl, ambrisko, asomers, mav, allanjude.
slm set the repository for this revision to rS FreeBSD src repository.
scottl added inline comments.Apr 26 2016, 1:47 AM
sys/dev/mpr/mpr.c
4 ↗(On Diff #15607)

Is this technically now Broadcom?

asomers edited edge metadata.Apr 26 2016, 4:12 PM

All of these changes look good to me. However, there are many other style bugs that aren't fixed by this CR (and needn't necessarily be). For example, there are 250 lines with trailing whitespace in sys/dev/mpr. I wrote a tool that can find many style(9) violations. I've also heard that uncrustify does well using this freebsd.cfg file. But I haven't tried it myself.

https://people.freebsd.org/~asomers/style9/
https://github.com/freebsd/pkg/blob/master/freebsd.cfg

sys/dev/mpr/mpr_user.c
227 ↗(On Diff #15607)

You should probably leave the blank line here and at lines 236 and 243. style(9) is to leave an empty line at the top of a function with no local variables.

slm added inline comments.Apr 26 2016, 5:02 PM
sys/dev/mpr/mpr.c
4 ↗(On Diff #15607)

We've been told not to change our copyrights to Broadcom yet, even though I do use 'Broadcom' in the man page change, but I don't think that's a big deal.

sys/dev/mpr/mpr_user.c
227 ↗(On Diff #15607)

OK. I don't like that space as the first line. It looks bad to my eye, but if it's in the rules, that what I should do. I'll change it back.

Yes, I'm sure there are still lots of style changes to make. I'll keep working on them as changes are made. Thanks for the pointers.

ken accepted this revision.Apr 26 2016, 7:22 PM
ken edited edge metadata.

I agree with Alan's comment but otherwise this looks good.

This revision is now accepted and ready to land.Apr 26 2016, 7:22 PM
slm updated this revision to Diff 15748.Apr 29 2016, 9:38 PM
slm edited edge metadata.
slm removed rS FreeBSD src repository as the repository for this revision.

Add back blank lines at the top of the requested functions.

This revision now requires review to proceed.Apr 29 2016, 9:38 PM
asomers accepted this revision.May 2 2016, 2:58 PM
asomers edited edge metadata.
This revision is now accepted and ready to land.May 2 2016, 2:58 PM
This revision was automatically updated to reflect the committed changes.